Fatal Error during install on Debian 7 x64

21 posts / 0 new
Last post
#1 Mon, 06/17/2013 - 09:10
Goeny

Fatal Error during install on Debian 7 x64

Hi there,

I have used the Virtualmin GPL installer before on Debian 6 which all went perfect. Now i messed up my system completely with some other stuff i was doing, and decided it was time to reinstall Debian with the newest version 7.1.0

I did a complete fresh install using Debian 7.1.0 Net Installer. I didn't add anything, just a clean install. After that i downloaded the installer and started it as root.

This is my output.

Welcome to the Virtualmin GPL installer, version 1.0.9

WARNING:

The installation is quite stable and functional when run on a freshly installed supported Operating System.

If you have existing websites, email users, or if you manually installed Virtualmin via a Webmin 'wbm' module, you are likely to run into problems. Please read the Virtualmin Administrators Guide before proceeding if your system is not a freshly installed and supported OS.

This script is not intended to update your system! It should only be used to perform your initial Virtualmin installation. If you have previously run the Virtualmin installer, you can perform upgrades and updates from within Virtualmin itself, or using your system's package manager. Once Virtualmin is installed, you never need to run this script again.

The systems currently supported by install.sh are: CentOS and RHEL 5-6 on i386 and x86_64 Scientific Linux 6 on i386 and x86_64 Debian 6.0 and 7.0 on i386 and amd64 Ubuntu 8.04 LTS and 10.04 LTS, and 12.04 LTS on i386 and amd64 Amazon Linux 2012.03 on i386 and x86_64 FreeBSD 7.0 and 8 on i386 and amd64

If your OS is not listed above, this script will fail. More details about the systems supported by the script can be found here:

http://www.virtualmin.com/os-support.html

Continue? (y/n) y Checking for HTTP client...found /usr/bin/wget -nv Checking for perl...found /usr/bin/perl 2013-06-17 15:59:27 URL:http://software.virtualmin.com/lib/spinner [579/579] -> "spinner" [1] Loading log4sh logging library... 2013-06-17 15:59:27 URL:http://software.virtualmin.com/lib/log4sh [21395/21395] -> "log4sh" [1] INFO - Started installation log in /root/virtualmin-install.log INFO - Checking for fully qualified hostname... INFO - Hostname OK: fully qualified as Server.questodia.dyndns.org INFO - Installing serial number and license key into /etc/virtualmin-license INFO - Loading OS selection library... 2013-06-17 15:59:28 URL:http://software.virtualmin.com/lib/oschooser.pl [4461/4461] -> "oschooser.pl" [1] INFO - Download of http://software.virtualmin.com/lib/oschooser.pl Succeeded. INFO - Loading OS list... 2013-06-17 15:59:28 URL:http://software.virtualmin.com/lib/os_list.txt [3735/3735] -> "os_list.txt" [1] INFO - Download of http://software.virtualmin.com/lib/os_list.txt Succeeded. INFO - Operating system name: Debian Linux INFO - Operating system version: 7 INFO - Configuring package manager for Debian Linux 7... INFO - Enabling universe repositories, if not already available... INFO - Disabling cdrom repositories... Hit http://ftp.nl.debian.org wheezy Release.gpg Hit http://security.debian.org wheezy/updates Release.gpg Hit http://ftp.nl.debian.org wheezy-updates Release.gpg Hit http://ftp.nl.debian.org wheezy Release Hit http://security.debian.org wheezy/updates Release Hit http://ftp.nl.debian.org wheezy-updates Release Hit http://ftp.nl.debian.org wheezy/main Sources
Hit http://ftp.nl.debian.org wheezy/main amd64 Packages
Hit http://security.debian.org wheezy/updates/main Sources Hit http://ftp.nl.debian.org wheezy/main Translation-en Hit http://security.debian.org wheezy/updates/main amd64 Packages Hit http://ftp.nl.debian.org wheezy/main Translation-nl Hit http://ftp.nl.debian.org wheezy-updates/main Sources Hit http://security.debian.org wheezy/updates/main Translation-en Hit http://ftp.nl.debian.org wheezy-updates/main amd64 Packages Hit http://ftp.nl.debian.org wheezy-updates/main Translation-en Reading package lists... Done INFO - Cleaning up apt headers and packages, so we can start fresh... INFO - 2013-06-17 15:59:32 URL:http://software.virtualmin.com/lib/apt.conf.noninteractive [243/243] -> "apt.conf.noninteractive" [1] INFO - Download of http://software.virtualmin.com/lib/apt.conf.noninteractive Succeeded. INFO - Installing Webmin and Virtualmin package signing keys... 2013-06-17 15:59:32 URL:http://software.virtualmin.com/lib/RPM-GPG-KEY-virtualmin [1690/1690] -> "RPM-GPG-KEY-virtualmin" [1] INFO - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-virtualmin Succeeded. 2013-06-17 15:59:33 URL:http://software.virtualmin.com/lib/RPM-GPG-KEY-webmin [1320/1320] -> "RPM-GPG-KEY-webmin" [1] INFO - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-webmin Succeeded. INFO - OK INFO - OK INFO - Hit INFO - Removing Debian standard Webmin package, if they exist... INFO - Removing Debian apache packages... E: Unable to locate package webmin-core INFO - Installing dependencies using command: /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install postfix postfix-pcre webmin usermin ruby libapache2-mod-ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip libfcgi-dev bind9 spamassassin spamc procmail libnet-ssleay-perl libpg-perl libdbd-pg-perl libdbd-mysql-perl quota iptables openssl python mailman subversion ruby irb rdoc ri mysql-server mysql-client mysql-common postgresql postgresql-client awstats webalizer dovecot-common dovecot-imapd dovecot-pop3d proftpd libcrypt-ssleay-perl awstats clamav-base clamav-daemon clamav clamav-freshclam clamav-docs clamav-testfiles libapache2-mod-fcgid apache2-suexec-custom scponly apache2 apache2-doc libapache2-svn libsasl2-2 libsasl2-modules sasl2-bin php-pear php5 php5-cgi libgd2-xpm libapache2-mod-php5 php5-mysql ...in progress, please wait... .E: Unable to locate package webmin E: Unable to locate package usermin E: Unable to locate package scponly

/usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install postfix postfix-pcre webmin usermin ruby libapache2-mod-ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip libfcgi-dev bind9 spamassassin spamc procmail libnet-ssleay-perl libpg-perl libdbd-pg-perl libdbd-mysql-perl quota iptables openssl python mailman subversion ruby irb rdoc ri mysql-server mysql-client mysql-common postgresql postgresql-client awstats webalizer dovecot-common dovecot-imapd dovecot-pop3d proftpd libcrypt-ssleay-perl awstats clamav-base clamav-daemon clamav clamav-freshclam clamav-docs clamav-testfiles libapache2-mod-fcgid apache2-suexec-custom scponly apache2 apache2-doc libapache2-svn libsasl2-2 libsasl2-modules sasl2-bin php-pear php5 php5-cgi libgd2-xpm libapache2-mod-php5 php5-mysql failed. Error (if any): 0

Displaying the last 15 lines of /root/virtualmin-install.log to help troubleshoot this problem: INFO - 2013-06-17 15:59:32 - INFO - 2013-06-17 15:59:32 - Download of http://software.virtualmin.com/lib/apt.conf.noninteractive Succeeded. INFO - 2013-06-17 15:59:32 - Installing Webmin and Virtualmin package signing keys... INFO - 2013-06-17 15:59:32 - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-virtualmin Succeeded. INFO - 2013-06-17 15:59:33 - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-webmin Succeeded. INFO - 2013-06-17 15:59:33 - OK INFO - 2013-06-17 15:59:33 - OK INFO - 2013-06-17 15:59:36 - Hit INFO - 2013-06-17 15:59:36 - Removing Debian standard Webmin package, if they exist... INFO - 2013-06-17 15:59:36 - Removing Debian apache packages... DEBUG - 2013-06-17 15:59:36 - Reading INFO - 2013-06-17 15:59:36 - Installing dependencies using command: /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install postfix postfix-pcre webmin usermin ruby libapache2-mod-ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip libfcgi-dev bind9 spamassassin spamc procmail libnet-ssleay-perl libpg-perl libdbd-pg-perl libdbd-mysql-perl quota iptables openssl python mailman subversion ruby irb rdoc ri mysql-server mysql-client mysql-common postgresql postgresql-client awstats webalizer dovecot-common dovecot-imapd dovecot-pop3d proftpd libcrypt-ssleay-perl awstats clamav-base clamav-daemon clamav clamav-freshclam clamav-docs clamav-testfiles libapache2-mod-fcgid apache2-suexec-custom scponly apache2 apache2-doc libapache2-svn libsasl2-2 libsasl2-modules sasl2-bin php-pear php5 php5-cgi libgd2-xpm libapache2-mod-php5 php5-mysql Reading package lists... Building dependency tree... Reading state information...

FATAL - Fatal Error Occurred: Something went wrong during installation: 0 FATAL - Cannot continue installation. FATAL - Attempting to remove virtualmin repository configuration, so the installation can be FATAL - re-attempted after any problems have been resolved. FATAL - Removing temporary directory and files. FATAL - If you are unsure of what went wrong, you may wish to review the log FATAL - in /root/virtualmin-install.log

It seemed to me it stopped when installing the packages, so i decided to run that command myself. Then i got this:

E: Configuratiebestand apt.conf.noninteractive wordt geopend - ifstream::ifstream (2: Bestand of map bestaat niet) (Translated it says file or folder doesn't exist)

I reinstalled Debian again, completely fresh and tried it all again... And again with the same result.

Any help (in noobish language) would be much appreciated.

Thank you!

Mon, 06/17/2013 - 09:35
Locutus

Well, Debian 7.1 isn't on the supported list, so the installer might not be usable for it yet. You might try Debian 7.0 instead which is listed as supported.

Mon, 06/17/2013 - 10:36
andreychek

I'll do some testing with Debian 7.1... in theory it should work, but it's possible there was some kind of change that's causing a problem.

Out of curiosity, are you using a dedicated server, or a VPS? If a VPS, what kind of VPS... is it OpenVZ by chance?

Lastly -- what output do you receive if you run this command:

apt-get install postfix postfix-pcre ruby libapache2-mod-ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip libfcgi-dev bind9 spamassassin spamc procmail libnet-ssleay-perl libpg-perl libdbd-pg-perl libdbd-mysql-perl quota iptables openssl python mailman subversion ruby irb rdoc ri mysql-server mysql-client mysql-common postgresql postgresql-client awstats webalizer dovecot-common dovecot-imapd dovecot-pop3d proftpd libcrypt-ssleay-perl awstats clamav-base clamav-daemon clamav clamav-freshclam clamav-docs clamav-testfiles libapache2-mod-fcgid apache2-suexec-custom scponly apache2 apache2-doc libapache2-svn libsasl2-2 libsasl2-modules sasl2-bin php-pear php5 php5-cgi libgd2-xpm libapache2-mod-php5 php5-mysql
Mon, 06/17/2013 - 11:49 (Reply to #3)
chadq

I'm having the same issue. This is the output when I run the apt-get command...

apt-get install postfix postfix-pcre ruby libapache2-mod-ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip libfcgi-dev bind9 spamassassin spamc procmail libnet-ssleay-perl libpg-perl libdbd-pg-perl libdbd-mysql-perl quota iptables openssl python mailman subversion ruby irb rdoc ri mysql-server mysql-client mysql-common postgresql postgresql-client awstats webalizer dovecot-common dovecot-imapd dovecot-pop3d proftpd libcrypt-ssleay-perl awstats clamav-base clamav-daemon clamav clamav-freshclam clamav-docs clamav-testfiles libapache2-mod-fcgid apache2-suexec-custom scponly apache2 apache2-doc libapache2-svn libsasl2-2 libsasl2-modules sasl2-bin php-pear php5 php5-cgi libgd2-xpm libapache2-mod-php5 php5-mysql
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'ruby' instead of 'irb'
Note, selecting 'ruby' instead of 'rdoc'
Note, selecting 'proftpd-basic' instead of 'proftpd'
E: Unable to locate package scponly

I think the issue is the line "E: Unable to locate package scponly"

I'm new to VirtualMin and Debian. Any ideas on how to fix?

Mon, 06/17/2013 - 12:01
andreychek

Which architecture are you using, 32 bit (i386) or 64 bit (amd64)? And are you using Virtualmin GPL?

-Eric

Mon, 06/17/2013 - 12:15 (Reply to #5)
chadq

64 bit and VIrtualmin GPL.

Mon, 06/17/2013 - 13:03
andreychek

Okay, sounds like both of you are using the same architecture... we'll look into the repository metadata.

In the meantime, you can manually install the scponly package by running these commands as root on your server:

wget http://software.virtualmin.com/gpl/debian/dists/virtualmin-wheezy/main/binary-amd64/scponly_4.8-4.1_amd64.deb
dpkg -i scponly_4.8-4.1_amd64.deb

After doing that, does the install run correctly?

-Eric

Tue, 06/18/2013 - 09:33 (Reply to #7)
chadq

After manually installing scponly. Now I get this when I run apt-get script I get this:

Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'ruby' instead of 'irb'
Note, selecting 'ruby' instead of 'rdoc'
Note, selecting 'proftpd-basic' instead of 'proftpd'
E: Unable to locate package php5-mysq

Dooh. I just realized I didn't missed the last "l" in "ph5-mysql". Trying again with the right commands.

Tue, 06/18/2013 - 09:59 (Reply to #8)
chadq

Just ran the apt-get command again (this time with the correct syntax) and it seems to run fine until it gets to a screen that says "Postfix configuration" There are few options and , but I can't seem to get past the screen. Any ideas? I'm running in Putty. Do I need to be on the console?

Note: I'm still getting an installation error using the install.sh command.

Mon, 06/17/2013 - 13:12
Goeny

Same here...

apt-get install postfix postfix-pcre ruby libapache2-mod-ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip libfcgi-dev bind9 spamassassin spamc procmail libnet-ssleay-perl libpg-perl libdbd-pg-perl libdbd-mysql-perl quota iptables openssl python mailman subversion ruby irb rdoc ri mysql-server mysql-client mysql-common postgresql postgresql-client awstats webalizer dovecot-common dovecot-imapd dovecot-pop3d proftpd libcrypt-ssleay-perl awstats clamav-base clamav-daemon clamav clamav-freshclam clamav-docs clamav-testfiles libapache2-mod-fcgid apache2-suexec-custom scponly apache2 apache2-doc libapache2-svn libsasl2-2 libsasl2-modules sasl2-bin php-pear php5 php5-cgi libgd2-xpm libapache2-mod-php5 php5-mysql Pakketlijsten worden ingelezen... Klaar Boom van vereisten wordt opgebouwd De status informatie wordt gelezen... Klaar Let op, 'ruby' wordt geselecteerd in plaats van 'irb' Let op, 'ruby' wordt geselecteerd in plaats van 'rdoc' Let op, 'proftpd-basic' wordt geselecteerd in plaats van 'proftpd' E: Kan pakket scponly niet vinden

My server is dedicated... for as far as you can call it that.. (just a simple system running at the office)

Mon, 06/17/2013 - 13:17
Goeny

Unfortunately it has the same result after i manually installed scponly.

Displaying the last 15 lines of /root/virtualmin-install.log to help troubleshoot this problem: INFO - 2013-06-17 20:14:28 - INFO - 2013-06-17 20:14:28 - Download of http://software.virtualmin.com/lib/apt.conf.noninteractive Succeeded. INFO - 2013-06-17 20:14:28 - Installing Webmin and Virtualmin package signing keys... INFO - 2013-06-17 20:14:28 - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-virtualmin Succeeded. INFO - 2013-06-17 20:14:29 - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-webmin Succeeded. INFO - 2013-06-17 20:14:29 - OK INFO - 2013-06-17 20:14:29 - OK INFO - 2013-06-17 20:14:32 - Hit INFO - 2013-06-17 20:14:32 - Removing Debian standard Webmin package, if they exist... INFO - 2013-06-17 20:14:32 - Removing Debian apache packages... DEBUG - 2013-06-17 20:14:32 - Reading INFO - 2013-06-17 20:14:32 - Installing dependencies using command: /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install postfix postfix-pcre webmin usermin ruby libapache2-mod-ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip libfcgi-dev bind9 spamassassin spamc procmail libnet-ssleay-perl libpg-perl libdbd-pg-perl libdbd-mysql-perl quota iptables openssl python mailman subversion ruby irb rdoc ri mysql-server mysql-client mysql-common postgresql postgresql-client awstats webalizer dovecot-common dovecot-imapd dovecot-pop3d proftpd libcrypt-ssleay-perl awstats clamav-base clamav-daemon clamav clamav-freshclam clamav-docs clamav-testfiles libapache2-mod-fcgid apache2-suexec-custom scponly apache2 apache2-doc libapache2-svn libsasl2-2 libsasl2-modules sasl2-bin php-pear php5 php5-cgi libgd2-xpm libapache2-mod-php5 php5-mysql Reading package lists... Building dependency tree... Reading state information...   FATAL - Fatal Error Occurred: Something went wrong during installation: 0 FATAL - Cannot continue installation. FATAL - Attempting to remove virtualmin repository configuration, so the installation can be FATAL - re-attempted after any problems have been resolved. FATAL - Removing temporary directory and files. FATAL - If you are unsure of what went wrong, you may wish to review the log FATAL - in /root/virtualmin-install.log
Tue, 06/18/2013 - 09:44
andreychek

Okay, I did some testing, and found an issue that occurs on some systems that confuses it about what Debian version is running.

Can you download the install.sh script again, and run the new one? Hopefully that'll fix up the issue you're seeing.

-Eric

Tue, 06/18/2013 - 14:21
Goeny

I will download the new file as soon as i have time to work any further on the system. Probably it will be on saturday.

Thank you for looking into the issue..

Wed, 06/19/2013 - 08:16
Goeny

I had some time to check the server again so i decided to (again) freshly reinstall Debian 7.1 and as suggested download the install.sh again.

This time it ran without having any issues so it seems Virtualmin is installed on the system now.

I created a vs to see if it works and everything seems fine now...

Again.. thank you for the help. Appreciate it very much!

Regards,

Ivar

Wed, 06/19/2013 - 08:24
chadq

The new install script worked for me too.

Sat, 06/22/2013 - 03:03
rubenzsolt

I install a fresh debian 7.1 on x64 and I receive the next issue, but before 2 days it working the script without any errors but now I don't know what happen. I think he script not put the wirtualmin repos lines to source list. PLEASE somebody it helps because on this weekend it must install a server.

INFO - 2013-06-21 22:46:26 - Started installation log in /root/virtualmin-install.log DEBUG - 2013-06-21 22:46:26 - Install mode: full DEBUG - 2013-06-21 22:46:26 - Product: Virtualmin GPL DEBUG - 2013-06-21 22:46:26 - Virtualmin Meta-Package list: virtualmin-base DEBUG - 2013-06-21 22:46:26 - install.sh version: 1.0.9 INFO - 2013-06-21 22:46:26 - Checking for fully qualified hostname... INFO - 2013-06-21 22:46:26 - Hostname OK: fully qualified as server.rubencom.lan INFO - 2013-06-21 22:46:26 - Installing serial number and license key into /etc/virtualmin-license INFO - 2013-06-21 22:46:26 - Loading OS selection library... INFO - 2013-06-21 22:46:26 - Download of http://software.virtualmin.com/lib/oschooser.pl Succeeded. INFO - 2013-06-21 22:46:26 - Loading OS list... INFO - 2013-06-21 22:46:27 - Download of http://software.virtualmin.com/lib/os_list.txt Succeeded. INFO - 2013-06-21 22:46:27 - Operating system name: Debian Linux INFO - 2013-06-21 22:46:27 - Operating system version: 7 INFO - 2013-06-21 22:46:27 - Configuring package manager for Debian Linux 7... INFO - 2013-06-21 22:46:27 - Enabling universe repositories, if not already available... INFO - 2013-06-21 22:46:27 - Disabling cdrom repositories... INFO - 2013-06-21 22:46:31 - Cleaning up apt headers and packages, so we can start fresh... INFO - 2013-06-21 22:46:31 - INFO - 2013-06-21 22:46:32 - Download of http://software.virtualmin.com/lib/apt.conf.noninteractive Succeeded. INFO - 2013-06-21 22:46:32 - Installing Webmin and Virtualmin package signing keys... INFO - 2013-06-21 22:46:32 - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-virtualmin Succeeded. INFO - 2013-06-21 22:46:33 - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-webmin Succeeded. INFO - 2013-06-21 22:46:33 - OK INFO - 2013-06-21 22:46:33 - OK INFO - 2013-06-21 22:46:37 - Hit INFO - 2013-06-21 22:46:37 - Removing Debian standard Webmin package, if they exist... INFO - 2013-06-21 22:46:37 - Removing Debian apache packages... DEBUG - 2013-06-21 22:46:37 - Reading INFO - 2013-06-21 22:46:37 - Installing dependencies using command: /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install postfix postfix-pcre webmin usermin ruby libapache2-mod-ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip libfcgi-dev bind9 spamassassin spamc procmail libnet-ssleay-perl libpg-perl libdbd-pg-perl libdbd-mysql-perl quota iptables openssl python mailman subversion ruby irb rdoc ri mysql-server mysql-client mysql-common postgresql postgresql-client awstats webalizer dovecot-common dovecot-imapd dovecot-pop3d proftpd libcrypt-ssleay-perl awstats clamav-base clamav-daemon clamav clamav-freshclam clamav-docs clamav-testfiles libapache2-mod-fcgid apache2-suexec-custom scponly apache2 apache2-doc libapache2-svn libsasl2-2 libsasl2-modules sasl2-bin php-pear php5 php5-cgi libgd2-xpm libapache2-mod-php5 php5-mysql Reading package lists... Building dependency tree... Reading state information... FATAL - 2013-06-21 22:46:39 - Fatal Error Occurred: Something went wrong during installation: 0 FATAL - 2013-06-21 22:46:39 - Cannot continue installation. FATAL - 2013-06-21 22:46:39 - Attempting to remove virtualmin repository configuration, so the installation can be FATAL - 2013-06-21 22:46:39 - re-attempted after any problems have been resolved. FATAL - 2013-06-21 22:46:39 - Removing temporary directory and files. FATAL - 2013-06-21 22:46:39 - If you are unsure of what went wrong, you may wish to review the log FATAL - 2013-06-21 22:46:39 - in /root/virtualmin-install.log

Sun, 06/23/2013 - 07:01
Goeny

I bought a few new harddrives and decided to reinstall virtualmin again, this time using LVM (which i hadn't before)

So i installed the drives in the system, and reinstalled Debian 7.1.0 again. 4 days ago i used the new installer.sh file which went fine.

Now i have the same issue as before. Only different thing is that i am using LVM now but i don't believe that has anything to do with this problem.

Since the problem is exactly the same as before i am wondering if the new install.sh file is again the "old" one?

Sun, 06/23/2013 - 07:15 (Reply to #17)
rubenzsolt

Yes a think this version is the old one, 2 days ago the installer it's works for me. If you put manually the srepos lines to source list it's works.

Sun, 06/23/2013 - 07:46 (Reply to #18)
Goeny

which repos should that be? Can you please place m in this forum?

And they have to be placed in /etc/apt/sources.list i guess?

Sun, 06/23/2013 - 08:09
Goeny

I have actually found an easier solution to the problem.

I just took a shot at diving inside the install.sh file (eventhough i have absolutely no experience in shell scripts, they are actually quite simple to understand)

There is a line in there:

7.0*) repos="virtualmin-wheezy virtualmin-universal"

This line is part of checking which distro you are using and then checking which version of that distro. Since we are using 7.1.0, the script doesn't know that. (eventhough the repo is the same as 7.0)

I changed that line simply to:

7*) repos="virtualmin-wheezy virtualmin-universal"

So now the script uses the repo for every 7.x.x.x.x.x version of Debian. Including the 7.1.0 we are using.

The script ran without problems now, i haven't tried to use virtualmin yet after the install, but i will let you know if it did solve everything.

Sun, 06/23/2013 - 09:34 (Reply to #20)
andreychek

Hrm, in theory that's the change I made a few days ago. I was just about to explain that what you did above shouldn't be necessary if you're using the latest scro[t, but it looks like something reverted the change I published!

I corrected the install script, again, and am looking into who or what reverted that change :-)

-Eric